%define module_name	nvidia-nforce
%define module_version	0261
%define module_release	alt0.1

%define kversion	2.6.3
%define krelease	alt1
%define flavour		std26-up

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name


Summary:	nVidia nforce chipset drivers
Name:		kernel-modules-%module_name-%flavour
Version:	1.0.%module_version
Release:	%module_release
License:	GPL
Group:		System/Kernel and hardware

Patch:		nforce-net-1.0.0261-kernel-2.6.patch

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
URL:		http://www.kernel.org/
BuildPreReq:    kernel-build-tools
BuildRequires:	modutils
BuildRequires:	perl
BuildRequires:	rpm >= 4.0.2-75
BuildRequires:  kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires:  kernel-source-%module_name-%module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86

%description
nVidia chipset support drivers.

%prep

rm -rf kernel-source-%module_name-%module_version                                                                        
                                                                                                         
tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2                                                  
                                                                                                         
%setup -D -T -n kernel-source-%module_name-%module_version/nforce

%build
#. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc

# nvnet uses strange tricks which break with ccache
unset GCC_USE_CCACHE ||:

%make_build -C nvaudio \
	SYSINCLUDE="%_includedir/linux-%kversion-%flavour/include" \
	IGNORE_CC_MISMATCH=1 CC=gcc
%make_build -C nvnet \
	SYSINCLUDE="%_includedir/linux-%kversion-%flavour/include" \
	IGNORE_CC_MISMATCH=1 CC=gcc

%install
mkdir -p $RPM_BUILD_ROOT/%module_dir
%if "%kversion" <= "2.6.0"
	install -p -m644 nvnet/nvnet.o nvaudio/nvaudio.o $RPM_BUILD_ROOT/%module_dir
%else
	install -p -m644 nvidia.ko $RPM_BUILD_ROOT/%module_dir
%endif

%post
/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%postun
[ ! -f /boot/System.map-%kversion-%flavour-%krelease ] || \
/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Sun Mar 14 2004 Michael Shigorin <mike@altlinux.ru> 1.0.0261-alt0.1
- for 2.6
- gentoo patch (see http://linux.derkeiler.com/Mailing-Lists/Kernel/2003-07/1722.html)

* Sat Feb 28 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.0261-alt11.1
- Updated for the new compiler version selection scheme (GCC_VERSION).
- nvnet build procedure is incompatible with ccache - turn it off (unset
  GCC_USE_CCACHE).

* Tue Dec 16 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0.0261-alt10.1
- Fixed compiler selection.

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0.0261-alt9.1
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0.0261-alt8.1
- Fixed spec file name.
- Fixed %%module_dir definition.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Sat Sep 06 2003 Anton Farygin <rider@altlinux.ru> 1.0.0261-alt7.1
- /usr/inlcude replaced to macros _includedir
- build requires fix

* Tue Aug 26 2003 Peter Novodvorsky <nidd@altlinux.com> 1.0.0261-alt6
- rebuilt with 2.4.21rel-alt14

* Fri Aug 15 2003 Peter Novodvorsky <nidd@altlinux.com> 1.0.0261-alt5
- rebuilt with 2.4.21rel-alt13

* Wed Aug 13 2003 Peter Novodvorsky <nidd@altlinux.com> 1.0.0261-alt4
- rebuilt with 2.4.21rel-alt12

* Tue Aug 12 2003 Peter Novodvorsky <nidd@altlinux.com> 1.0.0261-alt2
- rebuilt with 2.4.21rel-alt11

* Mon Aug 11 2003 Peter Novodvorsky <nidd@altlinux.com> 1.0.0261-alt1
- initial release.

